
import { http } from '@/utils/http/axios';
import type { QueryPageRequest, QueryPageResponse } from '@/types/basic-query';
/**
 * 查询参数
 */
export interface ProductionSafetyFileQuery {
  keyword?: string; // 文件名称/编号（模糊查询）
  status?: number; // 状态：1-启用，0-禁用
  classifyName?: string; // 分类名称
  startDate?: string; // 上传日期范围-开始日期
  endDate?: string; // 上传日期范围-结束日期
}

// 新增、编辑表单数据类型
export interface FormDataType {
  id?: string; // 编辑时使用
  trainingPlanName: string;
  categoryName: string;
  trainingContent: string;
  trainingObject: string;
  trainingCount: string;
  trainingTime: string;
  trainingMethod: string;
  assessmentMethod: string;
  responsibleDeptIds: string[];
  studyHours: number | string;
  status: number | string;
  dets:any
}
// -------------管理端--------------
/**
 * 获取教育培训计划管理（管理员）-列表
 */
export function getEducationAndTrainingProgramList(params: QueryPageRequest<ProductionSafetyFileQuery>) {
  return http.request({
    url: '/educationTrainingPlan/query-page',
    method: 'post',
    params,
  });
}
/**
 * 教育培训计划管理（管理员）-新增
 */
export function saveEducationAndTrainingProgram(data: any) {
  return http.request({
    url: '/educationTrainingPlan/save',
    method: 'post',
    data: data,
  });
}

/**
 * 教育培训计划管理（管理员）-更改
 */
export function updateEducationAndTrainingProgram(data: any) {
  return http.request({
    url: '/educationTrainingPlan/update',
    method: 'put',
    data: data,
  });
}

/**
 * 教育培训计划管理（管理员）-下发
 */
export function issueEducationAndTrainingProgram(data: any) {
  return http.request({
    url: '/educationTrainingPlan/issue',
    method: 'put',
    data: data,
  });
}

/**
 * 教育培训计划管理（管理员）-作废
 */
export function cancelEducationAndTrainingProgram(data: any) {
  return http.request({
    url: '/educationTrainingPlan/cancel',
    method: 'put',
    data,
  });
}

/**
 * 教育培训计划管理（管理员）-删除
 */
export function deleteEducationAndTrainingProgram(id: string | number) {
  return http.request({
    url: `/educationTrainingPlan/delete?id=${id}`,
    method: 'delete',
  });
}

/**
 * 教育培训计划管理（管理员）-详情
 */
export function queryEducationAndTrainingProgramDetail(id: string | number) {
  return http.request({
    url: `/educationTrainingPlan/detail?id=${id}`,
    method: 'get',
  });
}
/**
 * @description: 导出
 * @param {*} params
 * @return {*}
 */
export function exportTableData(params){
  return http.request(
    {
        url: '/educationTrainingPlan/exportProductionEducationTrainingPlan',
        method: 'post',
        responseType: 'blob',
        params,
    },
    { isTransformResponse: false },
    );
}
